# CaiBotPlugin Bot适配插件

- 作者: Cai
- 仓库: 此仓库
- Cai云黑机器人的适配插件
- 使用 \-caidebug开启调试模式
- 如果你需要使用自己搭建的CaiBot,修改`BotAPI地址`即可

> [!CATION]
> CaiBot已不再提供支持, 请迁移到CaiBotLite  
> 详见: https://docs.terraria.ink/zh/caibot/CaiBotLite.html


## CaiBOT详细文档

- [ACaiCat/CaiBotDocument](https://github.com/UnrealMultiple/CaiBot)

## 使用方法(轻量版):

1. 将插件安装在`ServerPlugins`
2. 重启服务器
3. 启动服务器后会显示`验证码`
4. 群内发送`添加服务器 <IP地址> <端口> <验证码>`
5. 完成配置

## 指令

| 语法              |      权限      |      说明      |
|-----------------|:------------:|:------------:|
| /caibot debug   | caibot.admin |    调试模式开关    |
| /caibot code	   | caibot.admin |    生成验证码     |
| /caibot info	   | caibot.admin | 显示CaiBot状态信息 |
| /caibot unbind	 | caibot.admin |   主动解除群绑定    |

## 配置

> 配置文件位置：tshock/CaiBot.json

```json5
{
  "白名单开关": true, //Cai白名单的开关
  "密钥": "1145141919810", //由系统自动配置
  "白名单拦截提示的群号": 991556763, //白名单拦截提示群号(为0则使用BOT自动获取的群号)
  "同步服务器聊天": true, // {0}:群名 {1}:玩家昵称 {2}:内容 {3}:群QQ号 {4}:发送者QQ
  "服务器聊天格式": "[Server][{4}]{0}:{1}",// {0}:玩家名 {1}:内容 {2}:玩家组名 {3}:玩家聊天前缀 {4}:Ec职业名
  "退出服务器消息格式": "[Server]{0}离开了游戏", //用法同服务器聊天格式,留空表示禁用
  "加入服务器消息格式": "[Server]{0}加入了游戏", //用法同服务器聊天格式,留空表示禁用
  "同步群聊天": true, 
  "群聊天发送格式": "[[c/145654:{0}]]{1}:{2}",
  "群聊天自定义群名": { //替换群名, 如果你觉得你的群名太长, 用它可以优化
    "991556763": "CaiBot"
  },
  "群聊天忽略用户列表": [1145141919810,20070524], //不会转发这些用户的群聊天
  "群Ban封禁通知": true,
  "BotAPI地址": "api.terraria.ink:22334" //如果你自己搭建了CaiBot,你可以修改这里来指向你的API
}
```

## 更新日志

```
v2025.03.10.1 适配TS 5.2.3
v2025.02.06.1 添加数据包处理错误, 修复地图尺寸导致点亮地图失败
v2025.01.29.1 修复`上传地图`文件名错误导致上传失败
v2025.01.27.1 添加更多进度查询信息
v2025.01.24.1 升级绘图库,修复`上传小地图`,允许用户自定义Api地址,
服务器加入退出消息可以留空关闭,添加群聊天忽略用户列表,添加Ban封禁通知开关,
允许使用/reload重载,添加主动解绑命令,添加白名单缓存机制
v2025.01.12.1 修复在线列表奇怪换行
v2025.01.01.1 修复奇怪的换行,用internal包装保护API (TODO: 生成小地图修复 ✔)
v2024.12.22.1 优化在线查询,世界未加载时不再返回空世界名,移除主动绑定
v2024.12.20.1 修复使用外挂绕过登录的问题,UUID和IP合并以提高UUID登录安全性
v2024.12.01.2 调整配置文件配置项的顺序,整理代码
v2024.12.01.1 新增同步聊天的功能,修复热重载无法断开Websocket
v2024.11.09.1 修复新版Ec货币查询支持
v2024.11.03.1 新增Ban事件上报、生成验证码命令、调试开关、状态信息
v2024.10.20.1 修复`查看地图`命令小、中世界的图片尺寸偏大的问题
v2024.10.19.1 重写白名单登录，修复卡死WebSocket的问题
v2024.10.12.3 修复卡号Bug
v2024.10.12.1 修改白名单查询机制
v2024.10.04.1 查背包支持Economic数据查询
v2024.10.04.0 查背包支持更多数据
v2024.09.17.1 修复查背包模糊搜索名字显示不完整
v2024.09.16.1 远程指令日志记录执行群和执行者
v2024.09.08.1 新增插件列表功能
v2024.08.25.1 发送base64前用gzip压缩
v2024.08.02.1 添加被动添加BOT
v2024.08.01.2 修改Caibot端口
v2024.08.01.1 删除不必要的依赖
v2024.07.25.1 更新: CaiBot并行处理数据包，以防止API调用超时
v2024.07.24.2 修复心跳包错误
v2024.07.24.1 优化代码、发送心跳包、修复进度显示错误
v2024.07.11.1 支持下载地图和下载小地图
v2024.06.19.1 支持共享服务器(Beta测试)
v2024.06.07.0 添加自动获取群号，向BOT发送服务器的一些信息(平台、白名单状态、服务器进服密码、插件版本、TShock版本、Terraria版本)，
将调试模式(-caidebug)和本地BOT模式(-cailocalbot)分离
v1.1 修复前置加载失败的问题
```

## 反馈

- 优先发issued -> 共同维护的插件库：https://github.com/UnrealMultiple/TShockPlugin
- 次优先：TShock官方群：816771079
- 大概率看不到但是也可以：国内社区trhub.cn ，bbstr.net , tr.monika.love

