# Challenger 挑战者模式

- 作者: 星夜神花、枳、羽学
- 出处: [github](https://github.com/skywhale-zhi/Challenger)
- 这是一个Tshock服务器插件主要用于修改服务器BOSSAI的魔改与装备套装、饰品被动技能等
- 并使玩家受伤时会被抽出血包，血包会给附近的敌怪回血（boss优先），若玩家能拦截住血包就能给自己回血。
- 并允许通过修改配置文件控制所有怪物的血量倍数。由于作者丢失1.0.1版本源码，羽学将插件反编译进行二次开源与更新。
-   
- 修改的套装增强效果有：
- 箭袋饰品：给予永久buff，启用无限弹药
- 挖矿套装：给予永久的挖矿、糖果冲刺buff，启用连锁挖矿能力
- 垂钓套装：给予永久的声纳、钓鱼、宝匣、镇定Buff​  
- 忍者套：有四分之一概率闪避非致命伤害并释放烟雾​  
- 化石套：在头上召唤一个琥珀光球，向敌人抛出极快的闪电矢​  
- 暗影套：暴击时从玩家周围生成吞噬怪飞弹攻击周围敌人，冷却 1秒​  
- 猩红套：暴击时从周围每个敌怪处吸取一定血量随着敌怪数目增多吸血量-1，冷却 5秒​  
- 陨石套：暴击时恢复些许魔力，间歇地降下高伤害落星攻击敌人​  
- 蜜蜂套：给予永久的蜂蜜增益；不间断地向四周撒蜂糖罐，玩家接触后回血并给予15秒蜂蜜增益；  
对玩家自身的治疗量略低于对其他玩家​   
- 丛林套（远古钴）：间歇地从玩家周围生成伤害性的孢子​  
- 死灵套：受到伤害时，向四周飞溅骨头；攻击时偶尔发射骨箭​  
- 黑曜石套：因为盗贼的祝福，掉落物会尝试掉落两次(仅对非boss生物和非高血量怪物有效)​  
- 熔岩套：免疫岩浆，给予永久的地狱火增益​  
- 蜘蛛套：攻击时，给予敌人中毒和剧毒减益，按“up”键生成一个毒牙药水瓶，砸中敌人时爆炸"​  
- 水晶刺客套：当有敌人在附近时，自身释放出水晶碎片；若玩家被击中，释放出更强大的碎片​  
- 寒霜套：你周围开始下雪​（冰雪女王掉落武器“北极”弹幕）  
- 禁戒套：释放自动寻的灵焰魂火攻击附近的敌人​  
- 神圣套（远古神圣）：击中敌人时召唤光与暗剑气，输入“/cf”切换剑气类型​  
- 叶绿套：释放不精确的叶绿水晶矢，丛林之力给你更高的生命上限​  
- 海龟套：增加60血上限，自动在附近释放爆炸碎片​  
- 提基套：增加20血上限，在鞭子的轨迹上留下孢子​  
- 甲虫套：增加60血上限，敌人的伤害的一部分会治疗周围的队友并给予buff；  
当装备圣骑士盾或其上级合成物时，近战武器伤害翻倍​  
- 蘑菇套：射弹会不稳定地留下蘑菇​  
- 阴森套：使用鞭子时，甩出蝙蝠或南瓜头​  
- 幽魂套：根据头饰选择增加40血上限或80魔力上限；召唤 2个幽魂诅咒环绕玩家，向附近敌人攻击​  
- 皇家凝胶：天空开始下凝胶小雨​  
- 克苏鲁之盾：冲刺时获得一小段无敌时间，冷却12秒​  
- 混乱之脑：输入“/cf”混乱周围所有敌怪​  
- 蠕虫围巾：免疫寒冷，霜火，灵液和咒火​  
- 收音机零件：输入“/cf”收听天气预报，在困难模式中可以收听世界先知预报​  
- 蜜蜂背包：不间断地向四周扔出毒蜂罐，爆炸后释放一只蜜蜂​  
- 挥发明胶：击中敌人有概率掉落碎魔晶，珍珠石，凝胶等​  
-   
- 【目前存在的问题】：增加的效果造成的伤害不会算作玩家造成的，但依然可以杀死怪物



## 指令

| 语法           |   别名  |   权限         |   说明   |
| -------------- | :---------:| :------------: | :------: |
| /cenable |  无|  challenger.enable  | 启用挑战模式，再次使用解除|
| /tips  | 无 |  challenger.tips | 启用内容提示，如各种物品的文字提示，再次使用取消|
| /cf |  无 |无 |  用于切换或触发装备被动技能类型 |

## 配置
> 配置文件位置：tshock/ChallengerConfig.json
```
{
  "是否启用挑战模式": true,
  "是否启用BOSS魔改": false,
  "启用话痨模式": false,
  "启用广播话痨模式": false,
  "是否启用怪物吸血": true,
  "怪物吸血比率": 0.25,
  "怪物吸血比率对于Boss": 0.5,
  "怪物回血上限：小怪>1.5倍则会消失": 1.5,
  "所有怪物血量倍数(仅开启魔改BOSS时生效)": 1.0,
  "冲刺饰品类的闪避冷却时间/默认12秒": 5,
  "蜜蜂背包是否扔毒蜂罐": true,
  "蜜蜂背包首次弹幕ID": 183,
  "蜜蜂背包首次弹幕伤害": 30,
  "蜜蜂背包首次弹幕击退": 10.0,
  "蜜蜂背包生成弹幕概率/分母值": 3,
  "蜜蜂背包弹幕爆炸后的弹幕ID": 566,
  "蜜蜂背包弹幕爆炸后的弹幕伤害": 30,
  "蜜蜂背包弹幕爆炸后的弹幕击退": 0.0,
  "蜜蜂背包二次弹幕间隔/帧": 240,
  "化石套是否出琥珀光球": true,
  "化石套的弹幕ID": 732,
  "化石套的弹幕射程": 48.0,
  "化石套的识敌范围": 3750.0,
  "化石套的弹幕伤害": 25,
  "化石套的弹幕击退": 8.0,
  "化石套的弹幕间隔/帧": 10.0,
  "丛林套是否环绕伤害孢子": true,
  "丛林套弹幕射程/速率": 1.5,
  "丛林套弹幕ID1": 569,
  "丛林套弹幕ID2": 572,
  "丛林套弹幕伤害": 35,
  "丛林套弹幕击退": 8.0,
  "丛林套弹幕间隔/帧": 1,
  "忍者套是否会闪避": true,
  "忍者套闪避概率随机数/0则100%闪避": 2,
  "忍者套闪避释放的弹幕ID": 196,
  "忍者套闪避释放的弹幕伤害": 0,
  "忍者套闪避释放的弹幕击退": 0.0,
  "暗影套的弹幕ID": 307,
  "暗影套的弹幕伤害": 40,
  "暗影套的弹幕击退": 2.0,
  "暗影套的弹幕间隔/帧": 180,
  "猩红套的弹幕ID": 305,
  "猩红套的弹幕伤害": 0,
  "猩红套的弹幕击退": 0.0,
  "猩红套的弹幕间隔/帧": 300,
  "流星套是否下落星": true,
  "流星套的弹幕ID": 725,
  "流星套的弹幕射程": 1000,
  "流星套的弹幕速度/帧": 8.0,
  "流星套的弹幕间隔/帧": 120,
  "死灵套是否产生额外弹幕": true,
  "死灵套受到攻击时的弹幕ID": 532,
  "死灵套受到攻击时的弹幕伤害": 20,
  "死灵套受到攻击时的弹幕击退": 5.0,
  "死灵套的受伤弹幕间隔/帧": 1,
  "死灵套攻击时的弹幕ID": 117,
  "死灵套攻击时的弹幕伤害": 20,
  "死灵套攻击时的弹幕击退": 2.0,
  "死灵套的攻击弹幕间隔/帧": 1,
  "黑曜石套是否盗窃双倍掉落物": true,
  "黑曜石套盗窃的稀有等级": 2,
  "水晶刺客套是否释放水晶碎片": true,
  "水晶刺客套遇怪自动释放的弹幕ID": 90,
  "水晶刺客套受伤释放的弹幕ID": 94,
  "水晶刺客套弹幕间隔/帧": 50,
  "蜘蛛套给NPC施加什么BUFF1": 70,
  "蜘蛛套给NPC施加BUFF1时长": 180,
  "蜘蛛套给NPC施加什么BUFF2": 20,
  "蜘蛛套给NPC施加BUFF2时长": 360,
  "禁戒套是否释放弹幕": true,
  "禁戒套释放什么弹幕ID": 950,
  "禁戒套的弹幕伤害": 125,
  "禁戒套的弹幕频率/分母值": 15,
  "禁戒套的弹幕范围": 300,
  "寒霜套是否下弹幕": true,
  "寒霜套释放什么弹幕ID": 297,
  "寒霜套的弹幕伤害": 40,
  "寒霜套的弹幕击退": 5.0,
  "寒霜套的弹幕间隔/帧": 60,
  "神圣套额外弹幕多少伤害/默认55%": 0.35,
  "神圣套释放什么弹幕ID": 156,
  "神圣套释放什么弹幕ID2": 157,
  "神圣套的弹幕间隔/帧": 2,
  "叶绿套加多少生命上限": 100,
  "海龟套加多少生命上限": 120,
  "海龟套的弹幕ID": 338,
  "海龟套的弹幕伤害": 50,
  "海龟套的弹幕间隔/默认3秒": 3,
  "提基套加多少生命上限": 200,
  "提基套的弹幕ID": 523,
  "提基套的弹幕伤害": 1.2,
  "提基套的弹幕间隔/帧": 2,
  "阴森套是否出弹幕": true,
  "阴森套白天出什么弹幕": 316,
  "阴森套晚上出什么弹幕": 321,
  "阴森套弹幕伤害/默认0.2": 0.8,
  "阴森套的弹幕间隔/帧": 10,
  "蘑菇套是否出弹幕": true,
  "蘑菇套的弹幕ID": 819,
  "蘑菇套的弹幕伤害倍数": 0.6,
  "蘑菇套的弹幕击退": 1.14514,
  "蘑菇套的弹幕间隔/帧": 1,
  "甲虫套加多少生命上限": 180,
  "甲虫套受到伤害给其他玩家的回血转换比例/默认30%": 0.5,
  "甲虫套减多少回复量/默认为0": 15,
  "甲虫套带骑士盾加多少弹幕伤害/默认90%": 1.5,
  "甲虫套的弹幕ID": 866,
  "甲虫套的治疗弹幕间隔/帧": 1,
  "甲虫套的攻击弹幕间隔/帧": 1,
  "皇家凝胶是否下物品雨": true,
  "皇家凝胶物品雨表": [
    75
  ],
  "挥发凝胶击中敌怪掉落物品表": [
    72,
    75,
    501,
    502
  ],
  "幽灵套加多少生命和魔力上限": 80,
  "幽灵兜帽是否出幽灵弹幕": true,
  "幽灵面具是否出幽灵弹幕": false,
  "幽灵套的弹幕ID": 79,
  "幽灵套的弹幕伤害倍数": 50.0,
  "幽灵套的弹幕击退": 0.0,
  "幽灵套环绕的弹幕ID": 299,
  "幽灵套环绕的弹幕伤害": 0,
  "幽灵套环绕的弹幕击退": 0.0,
  "幽灵套的攻击弹幕间隔/帧": 2,
  "幽灵套给什么永久BUFF": [
    6,
    7,
    181,
    178
  ],
  "蜜蜂套是否释放弹幕": true,
  "蜜蜂套的BUFF时长/帧": 150,
  "蜜蜂套的弹幕间隔/帧": 120,
  "蜜蜂套给什么永久BUFF": [
    48
  ],
  "狱岩套给什么永久BUFF": [
    1,
    172
  ],
  "钓鱼套包含哪些永久BUFF": [
    106,
    123,
    121,
    122
  ],
  "挖矿套是否开启连锁挖矿": true,
  "挖矿套给什么永久BUFF": [
    104,
    192
  ],
  "挖矿套连锁图格ID表": [
    6,
    7,
    8,
    9,
    166,
    167,
    168,
    169,
    22,
    221,
    222,
    223,
    224,
    232,
    37,
    404,
    408,
    48,
    481,
    482,
    483,
    56,
    571,
    58,
    63,
    64,
    65,
    66,
    67,
    68,
    107,
    108,
    111,
    123,
    178,
    204,
    211,
    229,
    230
  ],
  "蠕虫围巾免疫buff是否开启": false,
  "蠕虫围巾遍历前几个buff": 22,
  "蠕虫围巾免疫DeBuff列表/遇到会清空所有BUFF": [
    39,
    69,
    44,
    46
  ],
  "蠕虫围巾给什么永久BUFF": [
    5,
    114,
    215
  ],
  "箭袋补充开关": true,
  "箭袋补充时间/帧": 20,
  "箭袋补充物品数量": 99,
  "箭袋补充物品ID": [
    40,
    41,
    47,
    51,
    516,
    545,
    988,
    1235,
    1334,
    1341,
    3003,
    3568,
    5348
  ],
  "箭袋给什么永久BUFF": [
    16,
    93,
    112
  ]
}
```

## 更新日志

```
更新日志
1.1.7
添加西班牙语翻译(By itsFrankV22)
添加英文文档(By Hexagonforce12)

1.1.6
添加英文翻译

1.1.5
多语言支持

1.1.4
修复ServerLeave Null报错

1.1.3
补全卸载函数

1.1.2 fix
尝试修复以下三个方法引起的空引用
OnGameUpdate/WormScarf/OnServerLeave

1.1.1
给【皇家凝胶】加了随机生成概率与间隔

1.1.0
给以下套装加入了【弹幕间隔】的配置项：
蜜蜂背包、化石套、丛林套、暗影套、
猩红套、流星套、水晶刺客套、寒霜套、神圣套
海龟套、提基套、阴森套、蘑菇矿套、甲虫套、幽灵套
调整挑战者模式套装默认配置数值，考虑化石套弹幕的特殊性额外加入个【识敌范围】


1.0.9
修复玩家穿套装时退服会刷血量上限BUG
详情看1.0.5更新日志，羽学注释掉了ServerLeave方法引起的

1.0.8
修复了幽灵套永久BUFF
加入了箭袋饰品加强，启用无限弹药
佩戴箭袋类饰品攻击时自动重置弹药数量，无法进行分堆（避免玩家利用特性刷物品）
添加了蠕虫围巾/幽灵套永久BUFF、禁戒套的弹幕频率/范围、甲虫套的弹幕ID
修改了大量默认的配置项参数（主要是肉后的套装）

1.0.7
优化了配置文件的排版次序
加入了“挖矿套是否开启连锁挖矿”配置项
添加了挖矿套的连锁挖矿能力，可配置其buff与连锁图格ID
添加了暗影套、猩红套、黑曜石套、挥发凝胶的配置项

1.0.6
给怪物吸血加入了个上限值（避免养蛊bug）
给冲刺类饰品都配备了闪避效果
增加了蜜蜂背包、化石套、禁戒套、蘑菇套、幽灵套、渔夫套的配置项
修正了一些配置项的错误名字
移除了以下3个配置项：
  "怪物吸血条件:玩家受到多少伤害触发": 1500,
  "怪物吸血条件:给非BOSS小于多少生命值上限的怪回血": 4000.0,
  "怪物弹幕吸血条件:给非BOSS小于多少生命值上限的怪回血": 6000.0,

1.0.5
声明：套装效果下玩家血量不加的问题是没开强制开荒导致的
修复了玩家退出游戏重进时加载时间过长问题
修复了玩家退出时出现的空引用问题

1.0.4
加入了大量配置项（实在太多了 写不过来 直接看配置文件吧）
注意：蠕虫围巾的免疫debuff功能存在BUG，
当遇到需免疫DeBUFF时会清空所有现有BUFF（50号包问题），不建议用

1.0.3
配置项加入了
  "幽灵兜帽是否出幽灵弹幕": true,
  "幽灵面具是否出幽灵弹幕": false,
  "甲虫套受到伤害给其他玩家的回血转换比例/默认30%": 0.3,
  "甲虫套减多少回复量/默认为0": 10,
经玩家反馈1.0.2版幽灵套无限换头会累积弹幕，故此添加修复此BUG

1.0.2
羽学添加了大量配置项，允许自定义开启或修改某些饰品的被动技能
可修改配置项来决定是否开启BOSS_AI的魔改

1.0.1
玩家受伤时会被抽出血包，血包会给附近的敌怪回血（boss优先），若玩家能拦截住血包就能给自己回血
```

## 反馈
- 优先发issued -> 共同维护的插件库：https://github.com/UnrealMultiple/TShockPlugin
- 次优先：TShock官方群：816771079
- 大概率看不到但是也可以：国内社区trhub.cn ，bbstr.net , tr.monika.love
