# MonsterRegen 怪物进度回血
- 作者: 途逗 羽学
- 出处: Tshock官方Q群-816771079
- 通过创建计时器给怪物实现每秒回血设定，
- 击败配置指定BOSS来提升阶级，
- 来决定所有怪物的回复量、回复间隔
- 可定义【回复量】、【回复间隔】的上下限
- 如不需要【进度模式】，可控制【最少/多回复量】
- 控制怪物【百分比回血】的固定回血值
- 【禁止回血表】只需要填写怪物ID即可（仅对本插件有效）


## 指令

| 语法      |        权限         |      说明      |
|---------|:-----------------:|:------------:|
| /reload | tshock.cfg.reload | 重载怪物进度回血配置文件 |

## 配置
> 配置文件位置：tshock/怪物进度回血.json
```json
{
  "插件开关": true,
  "开启进度模式": true,
  "默认间隔/秒": 1.2,
  "升阶减多少间隔": 0.05,
  "间隔到多少不减": 0.0,
  "默认回复血量/百分比": 0.005,
  "每次最少回复": 20,
  "每次最多回复": 1000,
  "还原间隔的阶级": 6,
  "还原默认间隔值": 1.25,
  "进度阶级（阶级数:回复量）": {
    "1": 0.01,
    "2": 0.015,
    "3": 0.02,
    "4": 0.025,
    "5": 0.03,
    "6": 0.005
  },
  "禁止回血表": [],
  "进度BOSS表（怪物ID:阶级数）": {
    "13": 1,
    "266": 1,
    "113": 2,
    "134": 3,
    "126": 3,
    "127": 3,
    "262": 4,
    "245": 5,
    "398": 6
  }
}
```

## 更新日志

```
v1.7.1
完善卸载函数

v1.7.0
还原【开启进度模式】配置项
加入了【间隔到多少不减】的下限
考虑到有些人不喜欢进度模式
加2个配置项控制上下限：【每次最少回复】、【每次最多回复】
同时为考虑使用挑战者模式与自定义怪物血量关系
加入个【禁止回血表】配置项

v1.6.0
将【进度阶级】改为字典键值
移除了【进度开关】选项
因百分比回血对肉前低血量小怪近乎无效，
特此加入【小怪回血倍数】
加入了"升阶减多少间隔"与“还原间隔默认值”的配置项，
每击败一个BOSS就会减0.05（击败月总自动还原）

v1.5.0 fix
修复当前阶级回复血量百分比播报

v1.5.0
修复计时器，
更改【回复间隔】配置项后输入/reload可重载更新计时器

v1.4.0
移除固定进度模式
只保留非固定进度模式
回复血量改为百分比
阶级数最高为12阶

v1.3.0
加入进度回血（分5个进度阶级）2种模式
当开启以下模式时将默认回复血量视为0阶，击杀以下BOSS后通过升阶提高怪物回复值
固定进度模式（世吞/克脑1阶,肉山2阶,新一王3阶,世花4阶,石巨人5阶）
非固定进度模式（根据BOSS表里的击杀怪物ID决定取其最高阶级，解决玩家不按顺序击杀BOSS）
加入了击杀BOSS后当前阶级数播报

v1.2.0
羽学重构代码，加入/reload

```

## 反馈
- 优先发issued -> 共同维护的插件库：https://github.com/UnrealMultiple/TShockPlugin
- 次优先：TShock官方群：816771079
- 大概率看不到但是也可以：国内社区trhub.cn ，bbstr.net , tr.monika.love
