# PlayerSpeed 玩家速度插件

- 作者: 逆光奔跑 羽学
- 出处: Tshock官方Q群816771079
- 这是一个Tshock服务器插件，主要用于：
提升玩家冲刺跳跃速度与距离,当使用满配置文件指定次数自动进入冷却时间。


## 指令

| 语法         |   别名   |        权限         |      说明       |
|------------|:------:|:-----------------:|:-------------:|
| /vel on    |   无    |     vel.admin     |    开启插件功能     |
| /vel off   |   无    |     vel.admin     |    关闭插件功能     |
| /vel set   | /vel s |     vel.admin     | 设置全局冲刺速度与冷却时间 |
| /vel boss  |   无    |     vel.admin     |   自动进度模式开关    |
| /vel mess  |   无    |     vel.admin     |   开启或关闭播报系统   |
| /vel del   |   无    |     vel.admin     |   删除指定玩家数据    |
| /vel reset |   无    |     vel.admin     |   重置所有玩家数据    |
| /reload    |   无    | tshock.cfg.reload |    重载配置文件     |

## 配置
> 配置文件位置：tshock/玩家速度.json
```json5
{
  "开关": true,
  "次数": 5,
  "间隔": 2000.0,
  "冷却": 25,
  "速度": 20.0,
  "高度": 5.0,
  "播报": true,
  "冲刺": true,
  "冲刺速度倍数": 1.5,
  "跳跃": true,
  "跳跃下降除于倍数": 5.0,
  "跳跃加速物品": [
    5107,
    4989
  ],
  "自动进度": true,
  "自动进度表": [
    {
      "怪物名称": "克苏鲁之眼, 史莱姆王",
      "击败状态": true,
      "设置速度": 20.0,
      "设置高度": 2.5,
      "使用次数": 1,
      "冷却时间": 60,
      "怪物ID": [
        4,
        50
      ]
    },
    {
      "怪物名称": "世界吞噬怪, 克苏鲁之脑",
      "击败状态": false,
      "设置速度": 25.0,
      "设置高度": 5.0,
      "使用次数": 2,
      "冷却时间": 45,
      "怪物ID": [
        13,
        266
      ]
    },
    {
      "怪物名称": "血肉墙",
      "击败状态": false,
      "设置速度": 30.0,
      "设置高度": 10.0,
      "使用次数": 3,
      "冷却时间": 30,
      "怪物ID": [
        113
      ]
    },
    {
      "怪物名称": "激光眼, 魔焰眼, 机械骷髅王, 毁灭者",
      "击败状态": false,
      "设置速度": 40.0,
      "设置高度": 15.0,
      "使用次数": 4,
      "冷却时间": 15,
      "怪物ID": [
        125,
        126,
        127,
        134
      ]
    }
  ]
}
```

## 更新日志

```
v1.2.3
Database改utf-8
v1.2.2
加入自动进度模式,根据击败任意BOSS自动设置速度与冷却等相关数值…(开关指令:/vel boss)
使用自动进度模式记得用指令重置击败记录：/vel reset 
拥有vel.admin管理权限不会进入冷却期(触发间隔不免,防止卡服)
允许vel.use权限的玩家使用/vel 查询当前速度状态
加入了跳跃下降除于倍数配置项(用于辅助坐骑冲刺时优化手感)
加入了Y轴上升下降加速逻辑:
当按住左上或左下时按空格会加速上升与下降
反之只按左或右，直接按空格则往前加速
/vel s指令加入了新属性参数：
高度:h

v1.2.1
重构无限冲逻辑避免性能问题：
满足配置中的`次数`进入冷却时间
并给每次动作设定了间隔时间(毫秒)
移除了`上次跳跃`的相关播报
移除了停止时间（ut）属性
/vel s指令加入了新属性参数：
间隔:r
次数:c

v1.2.0
加入了无限冲刺机制：
1.当使用克盾类饰品双击冲刺不断冲刺
2.装备指定物品时不断使用跳跃
可以刷新无限冲刺的间隔
当冲刺间隔超过《停止无限冲时的毫秒》时自动进入冷却期
/vel s指令加入了新属性参数：
停止时间:ut
添加跳跃物品:add
移除跳跃物品:del

v1.1.0
因群友"哨兵"服主的定制要求修改而来
加入了冲刺判断逻辑和冷却机制
重构了大部分代码与指令方法、触发逻辑
玩家使用权限：vel.use
管理员权限：vel.admin
/vel set 指令格式：
/vel s sd 40 t 10

v1.0.0
从逆光奔跑那反编译来的
```

## 反馈
- 优先发issued -> 共同维护的插件库：https://github.com/UnrealMultiple/TShockPlayerSpeed
- 次优先：TShock官方群：816771079
- 大概率看不到但是也可以：国内社区trhub.cn ，bbstr.net , tr.monika.love