# ProgressRestrict 超进度检测

- 作者: 少司命 & 恋恋魔改三合一
- 出处: github
- 超进度检测
- 可对物品，弹幕，buff 进行超进度检测

> [!NOTE]  
> 需要安装前置插件：DataSync(本仓库) 

## 指令

| 语法 |             权限             |       说明        |
|----|:--------------------------:|:---------------:|
| 空  |    progress.item.white     |   超进度物品检查白名权限   |
| 空  | progress.projecttile.white |   超进度弹幕检查白名权限   |
| 空  |    progress.buff.white     | 超进度 Buff 检查白名权限 |

## 配置
> 配置文件位置：tshock/超进度检测.json
```json5
{
  "惩罚违规": true,
  "惩罚Debuff时长": 5,
  "公示违规者": true,
  "写入日志": true,
  "清除违规物品": true,
  "清除违规状态": true,
  "踢出违规玩家": false,
  "限制列表": [
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "史莱姆王",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "克苏鲁之眼",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "邪恶Boss",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "蜂后",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "骷髅王",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "肉山",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "任一三王",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "双子魔眼",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "机械毁灭者",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "机械骷髅",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "世纪之花",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "石巨人",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "猪鲨公爵",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "拜月教徒",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "月球领主",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "日耀塔",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "星旋塔",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "星云塔",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "星尘塔",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "冰雪女王",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "圣诞坦克",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "永恒尖啸",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "哀嚎之木",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "史莱姆皇后",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "独眼巨鹿",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "光之女皇",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "血月",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "困难血月",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "日食",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "三王后日食",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "花后日食",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "南瓜月",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "霜月",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "火星暴乱",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "旧日军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "哥布林军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "困难哥布林军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "海盗军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "雪人军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "一阶旧日军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "二阶旧日军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "三阶旧日军团",
      "跨服解禁": false
    },
    {
      "限制物品": [],
      "限制弹幕": [],
      "限制状态": [],
      "对应进度": "不存在的进度",
      "跨服解禁": false
    }
  ]
}
```

## 更新日志

```
v1.0.0.2
移除构造函数加载配置文件

v1.0.0.1
完善卸载函数
```

## 反馈
- 优先发issued -> 共同维护的插件库：https://github.com/UnrealMultiple/TShockPlugin
- 次优先：TShock官方群：816771079
- 大概率看不到但是也可以：国内社区trhub.cn ，bbstr.net , tr.monika.love
